#ifndef __NLL_AUDIO_H_INCLUDED__
#define __NLL_AUDIO_H_INCLUDED__

int audio_check(void);
int audio_init(void);
int audio_done(void);
int audio_oscset(int oscset_index);
int audio_clear(int oscset_index);
int audio_clear_all(void);
int audio_osc(int output, int outamp, int amp, int freq, int phase, int type, int flags, int oscset_index);
int audio_addout(int index, int output, int amp, int flags, int oscset_index);
int audio_envpoint(int index, int n, int step, int amp, int flags, int oscset_index);
int audio_envcopy(int index, int source, int flags, int oscset_index);
int audio_play(const char *string, int flags, int oscset_index, const char *filename);

#endif
